org.apache.tinkerpop.gremlin.tinkergraph.process.traversal.step.map

## Class TinkerCountGlobalStep<S extends Element>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,Long>
  - - org.apache.tinkerpop.gremlin.tinkergraph.process.traversal.step.map.TinkerCountGlobalStep<S>

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<Long>>, Step<S,Long>

      public final class TinkerCountGlobalStep<S extends Element>
      extends AbstractStep<S,Long>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TinkerCountGlobalStep(Traversal.Admin traversal, Class<S> elementClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `hashCode()`
    `protected Traverser.Admin<Long>` | `processNextStart()`
    `void` | `reset()` Reset the state of the step such that it has no incoming starts.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, setId, setNextStep, setPreviousStep, setTraversal`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### TinkerCountGlobalStep

          public TinkerCountGlobalStep(Traversal.Admin traversal,
                                       Class<S> elementClass)

  - ### Method Detail

    - #### processNextStart

          protected Traverser.Admin<Long> processNextStart()
                                                    throws NoSuchElementException

      Specified by:
        `processNextStart` in class `AbstractStep<S extends Element,Long>`
      Throws:
        `NoSuchElementException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractStep<S extends Element,Long>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractStep<S extends Element,Long>`

    - #### reset

          public void reset()

      Description copied from interface: `Step`
      Reset the state of the step such that it has no incoming starts. Internal states are to be reset, but any sideEffect data structures are not to be recreated.
      Specified by:
        `reset` in interface `Step<S extends Element,Long>`
      Overrides:
        `reset` in class `AbstractStep<S extends Element,Long>`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.